module binary_counter (clk_50M,led_array);
input clk_50M;                       // 50MHz rendszer órajel (Pin 12 bemeneten)
output [7:0] led_array;              // LED sor vezérlése (Pin 51 - Pin 58)
reg    [7:0] led_array;  
reg   [20:0] f_divider;              // frekvencia-osztó (1 : 2 097 152)
reg    [7:0] counter;                // 8-bites számláló

always @ (posedge clk_50M)
  f_divider <= f_divider +1;
  
always @ (posedge f_divider[20])
  begin
    counter = counter + 1;
    led_array = ~counter;
  end
endmodule  
         

 